---
title: VRPose.angularVelocity
slug: Web/API/VRPose/angularVelocity
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Property
  - Reference
  - Référence(2)
  - VR
  - VRPose
  - Virtual Reality
  - WebVR
  - angularVelocity
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>angularVelocity</code></strong> read-only property of the {{domxref("VRPose")}} interface returns an array representing the angular velocity vector of the {{domxref("VRDisplay")}} at the current {{domxref("VRPose.timestamp")}}, in radians per second.</p>

<p>In other words, the current velocity at which the sensor is rotating around the <code>x</code>, <code>y</code>, and <code>z</code> axes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myAngularVelocity = VRPose.angularVelocity;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Float32Array")}}, or <code>null</code> if the VR sensor is not able to provide angular velocity information.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// rendering loop for a VR scene
function drawVRScene() {
  // WebVR: Request the next frame of the animation
  vrSceneFrame = vrDisplay.requestAnimationFrame(drawVRScene);

  // Populate frameData with the data of the next frame to display
  vrDisplay.getFrameData(frameData);

  // Retrieve the angular velocity values for use in rendering
  // curFramePose is a VRPose object
  var curFramePose = frameData.pose;
  var angVel = curFramePose.angularVelocity;
  var avx = angVel[0];
  var avy = angVel[1];
  var avz = angVel[2];

  // render the scene
  ...

  // WebVR: submit the rendered frame to the VR display
  vrDisplay.submitFrame();
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrpose-angularvelocity', 'angularVelocity')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRPose.angularVelocity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
